Subject: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc completely

From: "Basil L. Contovounesios" <[email-masked]>
Date: Fri, 02 Aug 2019 16:19:13 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Fri, 02 Aug 2019 14:44:33 +0300
>> 
>> The reason it ends up being called in your example is that M-:
>> explicitly and unconditionally enables eldoc-mode in the minibuffer.
>> 
>> Dmitry suggested making this behaviour conditional as a workaround, but
>> ultimately it would probably be best to try fixing bug#27202 without
>> messing with eldoc-mode in read--expression.
>
> I agree.  Any suggestions?

Not off the top of my head, as I'm not familiar with eldoc-mode or
bug#27202, but I can try to take a look in the coming days if no-one
does so first.

-- 
Basil